/**
 * 非标接口模块
 */
/**
 * 非标接口3des加解密工具
 */
export declare class Des3Utils {
    /**
     * 解密
     */
    static decrypt(data: object | string, key?: string, iv?: string): object;
    /**
     * 加密
     */
    static encrypt(data: object | string, key?: string, iv?: string): {
        data: string;
        imageInfo?: string;
    };
    /**
     * 随机生成24位的字符串
     */
    static generateKey(): string;
}
/**
 * 非标接口装饰器
 *
 * 对参数进行解密,异常捕获,记录日志,如果出现异常则自动返回失败报文
 * @param description 服务描述，仅为日志输出
 */
export declare function Service(description?: string, config?: {
    /**
     * 是否记录接口调用(成功)日志
     */
    isLog?: boolean;
}): MethodDecorator;
